// copyMe.controller.ts
import { Request, Response } from "express";
import { db } from "../db";

export const copyMe = async (req: Request, res: Response) => {
  try {
    const {
      gender,
      email,
      password,
      username,
      dob,
      phoneNumber,
      firstName,
      middleName,
      lastName,
      country,
    } = req.body;

    const saveData = await db.users.create({
      data: {
        username: username.toLowerCase(),
        firstName,
        middleName,
        lastName,
        phoneNumber: phoneNumber.toString(),
        email: email.toLowerCase(),
        gender,
        country,
        dob: new Date(dob),
        password: "",
      },
    });

    res.status(201).json({
      success: true,
      message: "User created successfully",
      userId: saveData.id,
    });
  } catch (error) {
    console.error(error);
    res.status(500).json({ message: "Internal Server Error", success: false });
  }
};
