import { Country, Gender } from "@prisma/client";
import { z } from "zod";

export const copyMeValidation = z.object({
  username: z.string({ message: "username is required" }).toLowerCase(),
  email: z
    .string({ message: "email is required" })
    .email({ message: "invalid email format" })
    .toLowerCase(),
  password: z
    .string({ message: "password is required" })
    .min(8, { message: "password must be min 8 char" }),
  firstName: z.string({ message: "first name is required" }),
  middleName: z.string().toLowerCase().optional(),
  lastName: z.string({ message: "last name is required" }),
  gender: z.nativeEnum(Gender),
  country: z.nativeEnum(Country),
});
