import multer from 'multer';
import multerS3 from 'multer-s3';
import { S3Client } from '@aws-sdk/client-s3';

const IAM_USER_KEY = process.env.IAM_USER_KEY || "";
const IAM_USER_SECRET = process.env.IAM_USER_SECRET || "";
const PUBLIC_BUCKET_NAME = process.env.PUBLIC_BUCKET_NAME || "";

const s3Config = new S3Client({
  region: 'us-east-1',
  credentials:{
     accessKeyId: IAM_USER_KEY,
     secretAccessKey:IAM_USER_SECRET
 }
})

export const upload = multer({
  storage: multerS3({
    s3: s3Config,
    bucket: PUBLIC_BUCKET_NAME,
    metadata: (req, file, cb) => {
      cb(null, { fieldName: file.fieldname });
    },
    key: (req, file, cb) => {
      cb(null, `uploads/${Date.now().toString() + '-' + file.originalname}`);
    },
  }),
});
