// auth.route.ts
import express, { Request, Response } from "express";

import { copyMeValidation } from "../helpers/copyMe.helper";
import { copyMe } from "../controllers/copyMe.controller";
import { validateData } from "../middlewares/validationMiddleware";
import { authorize } from "../middlewares";

export const copyMeRouter = express.Router();

copyMeRouter.post(
  "/",
  authorize(["ADMIN", "DEFAULT"]),
  validateData(copyMeValidation),
  copyMe
);
