// test.route.ts
import express, { Request, Response } from "express";
import { authorize } from "../middlewares";
import { db } from "../db";
import { addChangeLog } from "../helpers/changeLog.helper";
import { objectDifferences } from "../utils/objectDifferences";

export const testRouter = express.Router();

testRouter.post(
  "/prisma",
  authorize(["ADMIN", "DEFAULT"]),
  async (req: Request, res: Response) => {
    try {
      const objectDif = objectDifferences(
        {},
        {
          email: "abcd02@yopmail.com",
          products: {
            name: "PS",
            price: [40, 50, 70],
          },
          date: new Date("2023/10/10"),
        }
      );

      res.status(201).json({
        success: true,
        message: "working",
        objectDif,
      });
    } catch (error) {
      console.error(error);
      res
        .status(500)
        .json({ message: "Internal Server Error", success: false });
    }
  }
);
